<!DOCTYPE html>
<html lang="en" >

<head>
  <meta charset="UTF-8">
  <title>SMC Class List + Grade Distribution</title>
  
  
  <link rel='stylesheet prefetch' href='https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.6.3/css/font-awesome.min.css'>
<link rel='stylesheet prefetch' href='https://maxcdn.bootstrapcdn.com/bootstrap/3.3.6/css/bootstrap.min.css'>

      <link rel="stylesheet" href="css/style.css">

  
</head>

<body>

  
    <html>
    <head>
        <meta charset="UTF-8">
        
        <title>Basic DataGrid - jQuery EasyUI Demo</title>
        <link rel="stylesheet" type="text/css" href="https://jimmyrowland.github.io/smc_course_list/classlist/static/themes/default/easyui.css">
        <link rel="stylesheet" type="text/css" href="https://jimmyrowland.github.io/smc_course_list/classlist/static/themes/icon.css">
        <script src="https://code.jquery.com/jquery-2.2.4.min.js"></script>
        <script type="text/javascript" src="https://jimmyrowland.github.io/smc_course_list/classlist/static/jquery.easyui.min.js"></script>
<base target="_blank">

       <style>
            #header{
                background-color: #3c8b3c;
                color: white;
                margin: 0;
                height: 90px;
                text-align: center;



            }
            #header >h1{
                margin:auto;
                vertical-align: middle;
                line-height: 90px;
            }
            body{
                margin:0;
            }
          </style>
    </head>
    <body>
        <div id="header">
          <h1>SMC Class List + Grade Distribution <a href="https://github.com/JimmyRowland/smc_course_list"><i class="fa fa-github" aria-hidden="true"></i></a> </h1>
          
    </div>
      <div class="panel panel-default">
      <div class="panel-heading">
        <h4 class="panel-title">
          <a data-toggle="collapse" href="#collapse1">Tips (click me to see)</a>
        </h4>
      </div>
        <div id="collapse1" class="panel-collapse collapse">
        <ul class="list-group">
          <li class="list-group-item list-group-item list-group-item-success">Filter:(ex:Course) math--return all classes contain string math</li>
          <li class="list-group-item">math 8 (a space at the end)--return math 8</li>
          <li class="list-group-item list-group-item list-group-item-info">math 8 ,physcs--return math 8 and all the physcs class (','is separator)</li>
          <li class="list-group-item">You can also find the easiest classes in IGETC area 5 by inputing 5 in igetc and clicking A% to sort the array</li>
          <li class="list-group-item list-group-item list-group-item-success">Click professors' names to visit their ratemyprofessor pages</li>
          </ul></div></div>
     

        
            <table id='dg' class="easyui-datagrid" title="SMC class list" style="width:100%"
                data-options="singleSelect:false,ctrlSelect:true,remoteSort:false,pagination:true,pageSize:'50',
                multiSort:false,collapsible:false,url:'https://jimmyrowland.github.io/smc_course_list/classlist/static/finalEasyuiClassList.json',method:'get'">
            <thead>
                <tr>
                    <th data-options="field:'Department',width:210">Department</th>
                    <th data-options="field:'Course',width:100">Course</th>
                    <th data-options="field:'Instructor',width:100,align:'center'">Instructor</th>
                    <th data-options="field:'Session_id',width:40,align:'right'">ID</th>
                    <th data-options="field:'Time',width:120,align:'right'">Time</th>
                    <th data-options="field:'Weekday',width:80">Day</th>
                    <th data-options="field:'Location',width:120,align:'center'">Location</th>
                     <th data-options="field:'grade_A_rate',width:50,align:'center',sortable:'true',order:'desc'">A%</th>
                     <th data-options="field:'grade_gt_B_rate',width:50,align:'center',sortable:'true',order:'desc'">gtB%</th>
                     <th data-options="field:'grade_gt_C_rate',width:50,align:'center',sortable:'true',order:'desc'">gtC%</th>
                     <th data-options="field:'grade_gt_P_rate',width:50,align:'center',sortable:'true',order:'desc'">gtP%</th>
                  <th data-options="field:'grade_gt_W_rate',width:50,align:'center',sortable:'true',order:'desc'">gtW%</th>
                     <th data-options="field:'rating',width:50,align:'center',sortable:'true',order:'desc'">rating</th>
                     <th data-options="field:'votes_num',width:50,align:'center',sortable:'true',order:'desc'">votes</th>
                     <th data-options="field:'igetc',width:130,align:'center'">igetc</th>
                    <th data-options="field:'Semester',width:80,align:'right'">semester</th>

                </tr>
            </thead>
        </table>

        
<script type="text/javascript" src="https://jimmyrowland.github.io/smc_course_list/classlist/static/datagrid-filter.js"></script>


<script>
                $(function(){
            var dg = $('#dg').datagrid();
            dg.datagrid('enableFilter', [
                    {

                field:'grade_A_rate',
                type:'numberbox',
                options:{precision:1},
                op:['equal','notequal','less','greater']
            },
                    {
                field:'grade_gt_B_rate',
                type:'numberbox',
                options:{precision:1},
                op:['equal','notequal','less','greater']
            },
                    {
                field:'grade_gt_C_rate',
                type:'numberbox',
                options:{precision:1},
                op:['equal','notequal','less','greater']
            },
                    {
                field:'grade_gt_P_rate',
                type:'numberbox',
                options:{precision:1},
                op:['equal','notequal','less','greater']
            },
              {
                field:'grade_gt_W_rate',
                type:'numberbox',
                options:{precision:1},
                op:['equal','notequal','less','greater']
            },
                    {
                field:'rating',
                type:'numberbox',
                options:{precision:0.1},
                op:['equal','notequal','less','greater']
            },

                    {
                field:'votes_num',
                type:'numberbox',
                options:{precision:1},
                op:['equal','notequal','less','greater']
            }

            ]);
        });

</script>
    </body>
    </html>
  <script src='https://maxcdn.bootstrapcdn.com/bootstrap/3.3.6/js/bootstrap.min.js'></script>

  

</body>

</html>
